cURL
curl -X DELETE "https://api.smooth.sh/api/v1/file/YOUR_FILE_ID" \
-H "apikey: YOUR_API_KEY"from smooth import SmoothClient
client = SmoothClient(api_key="YOUR_API_KEY")
client.delete_file(file_id="YOUR_FILE_ID")const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://api.smooth.sh/api/v1/file/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": true
}File
Delete File
Delete an uploaded file by its ID.
DELETE
/
file
/
{file_id}
cURL
curl -X DELETE "https://api.smooth.sh/api/v1/file/YOUR_FILE_ID" \
-H "apikey: YOUR_API_KEY"from smooth import SmoothClient
client = SmoothClient(api_key="YOUR_API_KEY")
client.delete_file(file_id="YOUR_FILE_ID")const options = {method: 'DELETE', headers: {apikey: '<api-key>'}};
fetch('https://api.smooth.sh/api/v1/file/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"r": true
}⌘I